System.Web 2.0.0.0 System.Configuration.ConfigurationSection

The provides a way to programmatically access and modify the identity section of a configuration file.

The can read and write information from and to the related section of the configuration file according to the section property whose value is .

Configures the identity of a Web application. This class cannot be inherited.

- Constructor

  This constructor is for internal use only.

  Initializes a new instance of the class using default parameters.

  2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("impersonate", DefaultValue="False")
  System.Boolean To be added.

  If the property is set to true, each request is served by a Web application impersonating its client. That is, either the user currently logged on or the user specified by the and properties. When the property is set to false, the application does not impersonate any client user.

  For security reasons, the identity section supports storage of the encrypted and .

  Gets or sets a value indicating whether client impersonation is used on each request.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("password", DefaultValue="")
  System.String To be added.

  Because the password is stored in clear text, an authenticated user with proper credentials on the domain where the server resides can read it.

  For security reasons, the identity section supports storage of the encrypted and .

  Gets or sets a value indicating the password to use for impersonation.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("userName", DefaultValue="")
  System.String To be added.

  Because the user name is stored in clear text, an authenticated user with proper credentials on the domain where the server resides can read it.

  For security reasons, the identity section supports storage of the encrypted and .

  Gets or sets a value indicating the user name to use for impersonation.

  2.0.0.0